## node-mapnik 0.5.8

=== Makefile ===
all: mapnik.node

NPROCS:=1
OS:=$(shell uname -s)

ifeq ($(OS),Linux)
	NPROCS:=$(shell grep -c ^processor /proc/cpuinfo)
endif
ifeq ($(OS),Darwin)
	NPROCS:=$(shell sysctl -n hw.ncpu)
endif

install: all
	@node-waf build install

mapnik.node:
	@node-waf build -j $(NPROCS)

clean:
	@node-waf clean distclean

uninstall:
	@node-waf uninstall

test-tmp:
	@rm -rf tests/tmp
	@mkdir -p tests/tmp

ifndef only
test: test-tmp
	@if test -e "node_modules/expresso/"; then ./node_modules/expresso/bin/expresso -I lib tests/*.test.js; else expresso -I lib tests/*.test.js; fi;
else
test: test-tmp
	@if test -e "node_modules/expresso/"; then ./node_modules/expresso/bin/expresso -I lib tests/${only}.test.js; else expresso -I lib tests/${only}.test.js; fi;
endif

lint:
	./node_modules/.bin/jshint lib/*js --config=jshint.json

.PHONY: test

=== debian/changelog ===
node-mapnik (0.5.8-2) unstable; urgency=low

  * Add licensing info for embedded agg copy

 -- David Paleino <dapal@debian.org>  Mon, 24 Oct 2011 21:27:42 +0200

node-mapnik (0.5.8-1) unstable; urgency=low

  * Initial release (Closes: #646370)

 -- David Paleino <dapal@debian.org>  Sun, 23 Oct 2011 18:27:44 +0200

=== debian/control ===
Source: node-mapnik
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , libmapnik2-dev
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/mapnik
Vcs-Git: git://git.debian.org/collab-maint/node-mapnik.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-mapnik.git;a=summary

Package: node-mapnik
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
 , node-generic-pool
Recommends:
 node-srs
 , node-zipfile
 , node-carto
Description: bindings to the Mapnik tile rendering library for NodeJS
 node-mapnik provides bindings to the Mapnik tile rendering library for NodeJS.

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=mapnik \
	http://registry.npmjs.org/mapnik/-/mapnik-(\d+.*)\.tgz

## node-mapnik 0.6.7

=== Makefile ===
all: mapnik.node

NPROCS:=1
OS:=$(shell uname -s)

ifeq ($(OS),Linux)
	NPROCS:=$(shell grep -c ^processor /proc/cpuinfo)
endif
ifeq ($(OS),Darwin)
	NPROCS:=$(shell sysctl -n hw.ncpu)
endif

gyp:
	python gen_settings.py
	python gyp/gyp build.gyp --depth=. -f make --generator-output=./projects/makefiles
	make -j$(NPROCS) -C ./projects/makefiles/ V=1
	cp projects/makefiles/out/Default/_mapnik.node lib/_mapnik.node

install: all
	@node-waf build install

mapnik.node:
	@node-waf build -j $(NPROCS)

clean:
	@node-waf clean distclean
	@rm -rf ./projects/makefiles/

uninstall:
	@node-waf uninstall

test-tmp:
	@rm -rf tests/tmp
	@mkdir -p tests/tmp

ifndef only
test: test-tmp
	@PATH=./node_modules/expresso/bin:${PATH} && NODE_PATH=./lib:$NODE_PATH expresso
else
test: test-tmp
	@PATH=./node_modules/expresso/bin:${PATH} && NODE_PATH=./lib:$NODE_PATH expresso test/${only}.test.js
endif

fix:
	@fixjsstyle lib/*js bin/*js test/*js examples/*/*.js examples/*/*/*.js

lint:
	@./node_modules/.bin/jshint lib/*js bin/*js test/*js examples/*/*.js examples/*/*/*.js


.PHONY: test lint fix gyp

=== debian/changelog ===
node-mapnik (0.6.7-3) unstable; urgency=low

  [ Jérémy Lal ]
  * debian/patches:
    + 03-rename_node_to_nodejs.patch: change shebangs to
      #!/usr/bin/nodejs. (Closes: #686899).
  * Depends on nodejs (>= 0.6.19~dfsg1-3~).

 -- David Paleino <dapal@debian.org>  Sun, 23 Sep 2012 11:58:14 +0200

node-mapnik (0.6.7-2) unstable; urgency=low

  * Fixed code that required package.json

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 00:50:18 +0200

node-mapnik (0.6.7-1) unstable; urgency=low

  * New upstream version
    - now compatible with NodeJS 0.6 (Closes: #664926)
  * Port code to work with mapnik 2.0.x
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 11:40:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , dh-buildinfo
  , nodejs-dev
  , libmapnik2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://search.npmjs.org/#/mapnik
 Vcs-Git: git://git.debian.org/collab-maint/node-mapnik.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-mapnik.git;a=summary
@@ -18,7 +18,7 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6.19~dfsg1-3~)
  , node-generic-pool
 Recommends:
  node-srs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

	for i in mapnik-inspect mapnik-render; do \
		mv $(CURDIR)/debian/node-mapnik/usr/bin/$$i.js $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
		sed -i "s@#!node@#!/usr/bin/node@g" $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
	done

override_dh_auto_configure:
	node-waf configure

override_dh_auto_build:
	node-waf build

override_dh_auto_test:

override_dh_auto_install:
	node-waf install --destdir=$(CURDIR)/debian/tmp/

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/_mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/_mapnik.node

## node-mapnik 1.2.0

=== Makefile ===
#http://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets

all: mapnik.node

mapnik.node:
	`npm explore npm -g -- pwd`/bin/node-gyp-bin/node-gyp build

clean:
	@rm -rf ./build
	rm -f lib/_mapnik.node
	rm ./test/tmp/*
	echo > ./test/tmp/placeholder.txt


rebuild:
	@make clean
	@./configure
	@make

ifndef only
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec
else
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
endif

check: test

fix:
	@fixjsstyle lib/*js bin/*js test/*js examples/*/*.js examples/*/*/*.js

fixc:
	@tools/fix_cpp_style.sh
	@rm src/*.*~

lint:
	@./node_modules/.bin/jshint lib/*js bin/*js test/*js examples/*/*.js examples/*/*/*.js


.PHONY: test lint fix

=== debian/changelog ===
node-mapnik (1.2.0-1build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 23:25:12 +0000

node-mapnik (1.2.0-1) unstable; urgency=low

  * Upstream update (Closes: #723637)
  * Install files as in source tree, renders 2001 patch useless
  * copyright: small 1.0 format fixes

 -- Jérémy Lal <kapouer@melix.org>  Wed, 18 Sep 2013 22:00:17 +0200

node-mapnik (1.1.3-1) unstable; urgency=low

  * Upstream update
  * patches:
    + remove unneeded patches
    + add 2001 patch to fix path for requiring package.json
  * install package.json, needed to print version
  * copyright: update, add licenses for tests data files
  * rules: build using node-gyp
  * control:
    + losen dependency on nodejs
    + replace dependency on nodejs-dev by node-gyp
    + tighten dependency and rename libmapnik-dev >= 2.2.0~
    + build-depend on mapnik-vector-tile
    + remove unneeded dependency on node-generic-pool
    + update Homepage, Vcs fields
    + Standards-Version 3.9.4
    + hardening by dh 9
  * manpages: add mapnik-inspect.1, mapnik-render.1

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 14:28:05 +0200

=== debian/control ===
Source: node-mapnik
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , libmapnik-dev (>= 2.2.0~)
 , mapnik-vector-tile
Standards-Version: 3.9.4
Homepage: https://github.com/mapnik/node-mapnik
Vcs-Git: git://anonscm.debian.org/collab-maint/node-mapnik.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-mapnik.git

Package: node-mapnik
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Recommends:
 node-srs
 , node-zipfile
 , node-carto
Description: bindings to the Mapnik tile rendering library for Node.js
 node-mapnik provides bindings to the Mapnik tile rendering library.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

vector_tile_dir=$(CURDIR)/node_modules/mapnik-vector-tile/src

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	for i in mapnik-inspect mapnik-render; do \
		cp bin/$$i.js $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
		sed -i "s@#!/usr/bin/env node@#!/usr/bin/nodejs@g" $(CURDIR)/debian/node-mapnik/usr/bin/$$i; \
	done
	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/_mapnik.node

override_dh_auto_configure:
	node-gyp configure

override_dh_auto_build:
	mkdir -p $(vector_tile_dir)
	cp /usr/include/vector_tile.pb.cc $(vector_tile_dir)/
	node-gyp build

override_dh_auto_test:

override_dh_auto_install:

override_dh_clean:
	dh_clean
	rm -rf $(vector_tile_dir)

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/_mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/_mapnik.node

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mapnik-$1.tar.gz/ \
https://github.com/mapnik/node-mapnik/tags .*/archive/v?([\d\.]+).tar.gz

## node-mapnik 1.2.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: mapnik.node
 
 mapnik.node:
-	`npm explore npm -g -- pwd`/bin/node-gyp-bin/node-gyp build
+	PATH=$$PATH:`npm explore npm -g -- pwd`/bin/node-gyp-bin/ node-gyp build
 
 clean:
 	@rm -rf ./build

=== debian/changelog ===
node-mapnik (1.2.3-1) unstable; urgency=medium

  * Upstream update
  * Depends on mapnik-vector-tile >= 0.3.4. Closes: #738417.
  * Standards-Version 3.9.5

 -- Jérémy Lal <kapouer@melix.org>  Sun, 09 Feb 2014 19:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  , dh-buildinfo
  , node-gyp
  , libmapnik-dev (>= 2.2.0~)
- , mapnik-vector-tile
-Standards-Version: 3.9.4
+ , mapnik-vector-tile (>= 0.3.4~)
+Standards-Version: 3.9.5
 Homepage: https://github.com/mapnik/node-mapnik
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-mapnik.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-mapnik.git

## node-mapnik 3.5.12+dfsg

=== debian/changelog ===
node-mapnik (3.5.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme, changes:
    - Rename X-Testsuite to Testsuite
    - Update Vcs-Browser URL to use cgit instead of gitweb
  * Update Vcs-Git URL to use HTTPS.
  * Update copyright file, changes:
    - Add license & copyright for clipper.{c,h}pp
    - Add license & copyright for anchor.js
    - Drop © character from copyright statements
    - Use stand-alone license paragraphs
  * Update watch file to handle common issues.
  * Add patch to use nodejs instead of node executable.
  * Reorder (build) dependencies and add node-nan to build dependencies.
  * Add mapnik-utils to (build) dependencies for shapeindex.
  * Build-Depends node-pre-gyp.
  * Bump minimum required mapnik-vector-tile version to 1.1.2.
  * Bump minimum required libmapnik-dev version to 3.0.11.
  * Enable parallel builds.
  * Add patch to fix spelling errors.
  * Add dependency on node-pre-gyp.
  * Bump Standards-Version to 3.9.8, no changes.
  * Don't install binaries & manpages also included in mapnik-utils.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 May 2016 19:33:58 +0200

node-mapnik (3.3.0+dfsg-1) UNRELEASED; urgency=medium

  * Upstream update
  * DFSG-exclusion of natural_earth.tif
  * Depends on mapnik-vector-tile >= 0.5.1

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Aug 2014 23:43:53 +0200

=== debian/control ===
Source: node-mapnik
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Jérémy Lal <kapouer@melix.org>
Section: web
Testsuite: autopkgtest
Priority: extra
Build-Depends: debhelper (>= 9~),
               dh-buildinfo,
               libmapnik-dev (>= 3.0.11~),
               libprotozero-dev (>= 1.3.0~),
               mapnik-utils,
               mapnik-vector-tile (>= 1.1.2~),
               node-gyp,
               node-mocha,
               node-nan,
               node-pre-gyp,
               node-sphericalmercator
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-mapnik.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-mapnik.git
Homepage: https://github.com/mapnik/node-mapnik

Package: node-mapnik
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mapnik-utils,
         nodejs,
         node-pre-gyp
Recommends: node-carto,
            node-srs,
            node-zipfile
Description: bindings to the Mapnik tile rendering library for Node.js
 node-mapnik provides bindings to the Mapnik tile rendering library.
 .
 Mapnik is an OpenSource C++ toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	node-pre-gyp configure

override_dh_auto_build:
	node-pre-gyp build

override_dh_auto_install:

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_install:
	dh_install --list-missing

	dh_buildinfo

	for i in bin/*.js; do \
		cp $$i $(CURDIR)/debian/node-mapnik/usr/bin/`basename $$i .js`; \
	done

	# Don't install binaries with the same name in mapnik-utils
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-index
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-render
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-shapeindex

	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/*/mapnik.node

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/*/mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/*/mapnik.node

## node-mapnik 3.5.13+dfsg

=== debian/changelog ===
node-mapnik (3.5.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Bump minimum required libmapnik-dev version to 3.0.12.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2016 15:53:45 +0200

node-mapnik (3.5.13+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Rebuild with libmapnik-dev (3.0.12~rc1+ds-1~exp2).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 12:16:59 +0200

node-mapnik (3.5.13+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required mapnik-vector-tile version to 1.2.0.
  * Bump minimum required libmapnik-dev version to 3.0.12~.
  * Add upstream metadata.
  * Add Upstream-Name & Upstream-Contact to copyright file.
  * Enable verbose pre-gyp output.
  * Add patches from upstream master branch for Mapnik 3.0.12 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Aug 2016 16:43:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Priority: extra
 Build-Depends: debhelper (>= 9~),
                dh-buildinfo,
-               libmapnik-dev (>= 3.0.11~),
+               libmapnik-dev (>= 3.0.12),
                libprotozero-dev (>= 1.3.0~),
                mapnik-utils,
-               mapnik-vector-tile (>= 1.1.2~),
+               mapnik-vector-tile (>= 1.2.0),
                node-gyp,
                node-mocha,
                node-nan,
@@ -23,11 +23,11 @@
 
 Package: node-mapnik
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         mapnik-utils,
+Depends: mapnik-utils,
          nodejs,
-         node-pre-gyp
+         node-pre-gyp,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: node-carto,
             node-srs,
             node-zipfile

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Verbose output
+export V=1
 
 %:
 	dh $@ --parallel

## node-mapnik 3.5.14%2bdfsg

=== Makefile ===
#http://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets

all: build-all

./node_modules/node-pre-gyp:
	npm install node-pre-gyp

./node_modules: ./node_modules/node-pre-gyp
	npm install `node -e "console.log(Object.keys(require('./package.json').dependencies).join(' '))"` \
	`node -e "console.log(Object.keys(require('./package.json').devDependencies).join(' '))"` --clang=1

./build:
	./node_modules/.bin/node-pre-gyp configure --loglevel=error --clang=1

build-all: ./node_modules ./build
	./node_modules/.bin/node-pre-gyp build --loglevel=error --clang=1

debug: ./node_modules ./build
	./node_modules/.bin/node-pre-gyp build --debug --clang=1

coverage: ./node_modules ./build
	./node_modules/.bin/node-pre-gyp build --debug --clang=1 --coverage=true

verbose: ./node_modules
	./node_modules/.bin/node-pre-gyp build --loglevel=verbose --clang=1

clean:
	@rm -rf ./build
	rm -rf lib/binding/
	rm ./test/tmp/*
	echo > ./test/tmp/placeholder.txt
	rm -rf ./node_modules/
	rm -f ./*tgz

grind:
	valgrind --leak-check=full node node_modules/.bin/_mocha

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

rebuild:
	@make clean
	@make

ifndef only
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec
else
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
endif

check: test

.PHONY: test clean build

## node-mapnik 3.5.14+dfsg

=== debian/changelog ===
node-mapnik (3.5.14+dfsg-2) unstable; urgency=medium

  * Use dh_nodejs

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 16:37:36 +0100

node-mapnik (3.5.14+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Sep 2016 10:44:11 +0200

node-mapnik (3.5.14+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required libprotozero-dev to 1.4.2.
  * Bump minimum required mapnik-vector-tile to 1.2.2.
  * Bump minimum required node-nan to 2.4.0.
  * Drop patches applied upstream, refresh remaining patches.
  * Add patch to use packaged dependencies instead of npm ones.
  * Update copyright file, changes:
    - Drop license & copyright for anchor.js, removed upstream

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Sep 2016 10:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Build-Depends: debhelper (>= 9~),
                dh-buildinfo,
                libmapnik-dev (>= 3.0.12),
-               libprotozero-dev (>= 1.3.0~),
+               libprotozero-dev (>= 1.4.2),
                mapnik-utils,
-               mapnik-vector-tile (>= 1.2.0),
+               mapnik-vector-tile (>= 1.2.2),
                node-gyp,
                node-mocha,
-               node-nan,
+               node-nan (>= 2.4.0),
                node-pre-gyp,
+               nodejs-dev,
                node-sphericalmercator
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-mapnik.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export V=1
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with nodejs
 
 override_dh_auto_configure:
 	node-pre-gyp configure

=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'mapnik'"'"');"
Depends: @

## node-mapnik 3.7.1+dfsg

=== Makefile ===
MODULE_NAME := $(shell node -e "console.log(require('./package.json').binary.module_name)")

SSE_MATH ?= true

default: release

ifneq (,$(findstring clang,$(CXX)))
    PROFILING_FLAG += -gline-tables-only
else
    PROFILING_FLAG += -g
endif

deps/geometry/include/mapbox/geometry.hpp:
	git submodule update --init

node_modules:
	npm install --ignore-scripts --clang

mason_packages/.link/bin/mapnik-config:
	./scripts/install_deps.sh

pre_build_check:
	@node -e "console.log('\033[94mNOTICE: to build from source you need mapnik >=',require('./package.json').mapnik_version,'\033[0m');"
	@echo "Looking for mapnik-config on your PATH..."
	mapnik-config -v

release_base: pre_build_check deps/geometry/include/mapbox/geometry.hpp node_modules
	V=1 CXXFLAGS="-fno-omit-frame-pointer $(PROFILING_FLAG)" ./node_modules/.bin/node-pre-gyp configure build --ENABLE_GLIBC_WORKAROUND=true --enable_sse=$(SSE_MATH) --loglevel=error --clang
	@echo "run 'make clean' for full rebuild"

debug_base: pre_build_check deps/geometry/include/mapbox/geometry.hpp node_modules
	V=1 ./node_modules/.bin/node-pre-gyp configure build --ENABLE_GLIBC_WORKAROUND=true --enable_sse=$(SSE_MATH) --loglevel=error --debug --clang
	@echo "run 'make clean' for full rebuild"

release: mason_packages/.link/bin/mapnik-config
	CXXFLAGS="-D_GLIBCXX_USE_CXX11_ABI=0" PATH="./mason_packages/.link/bin/:${PATH}" $(MAKE) release_base

debug: mason_packages/.link/bin/mapnik-config
	CXXFLAGS="-D_GLIBCXX_USE_CXX11_ABI=0" PATH="./mason_packages/.link/bin/:${PATH}" $(MAKE) debug_base

coverage:
	./scripts/coverage.sh

clean:
	rm -rf lib/binding
	rm -rf build
	rm -rf .mason
	find test/ -name *actual* -exec rm {} \;
	echo "run make distclean to also remove mason_packages and node_modules"

distclean: clean
	rm -rf node_modules
	rm -rf mason_packages

xcode: node_modules
	./node_modules/.bin/node-pre-gyp configure -- -f xcode

	@# If you need more targets, e.g. to run other npm scripts, duplicate the last line and change NPM_ARGUMENT
	SCHEME_NAME="$(MODULE_NAME)" SCHEME_TYPE=library BLUEPRINT_NAME=$(MODULE_NAME) BUILDABLE_NAME=$(MODULE_NAME).node scripts/create_scheme.sh
	SCHEME_NAME="npm test" SCHEME_TYPE=node BLUEPRINT_NAME=$(MODULE_NAME) BUILDABLE_NAME=$(MODULE_NAME).node NODE_ARGUMENT="`npm bin tape`/tape test/*.test.js" scripts/create_scheme.sh

	open build/binding.xcodeproj

docs:
	npm run docs

test:
	npm test

check: test

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

.PHONY: test docs

=== debian/changelog ===
node-mapnik (3.7.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix quoting in tests control file.
    (closes: #894943)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Apr 2018 18:04:09 +0200

node-mapnik (3.7.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Rebuild with Mapnik 3.0.19.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Mar 2018 10:16:28 +0100

node-mapnik (3.7.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches included upstream. Refresh remaining patches.
  * Disable SSE on non-amd64 architectures.
  * Bump minimum required mapnik-vector-tile to 1.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Mar 2018 13:41:16 +0100

node-mapnik (3.6.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add patch to disable SSE. SSE_MATH environment variable doesn't work (yet).
    (closes: #890985)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Feb 2018 13:53:29 +0100

node-mapnik (3.6.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Update upstream-git.patch with recent changes.
  * Fix deprecated source override location.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Feb 2018 11:12:10 +0100

node-mapnik (3.6.2+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/852.patch
    - upstream build fix (Closes: #889962)
  * Tweak 852.patch to avoid test images, and patching package.json

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2018 10:20:06 +0100

node-mapnik (3.6.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Switch from nodejs to node in debian/tests/control too.
  * Update upstream-git.patch with recent changes.
  * Bump Standards-Version to 4.1.3, no changes.
  * Drop unnecessary Testsuite header.
  * Update copyright-format URL to use HTTPS.
  * Rebuild with Mapnik 3.0.18.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jan 2018 10:47:58 +0100

node-mapnik (3.6.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Rebuild with Mapnik 3.0.17.
  * Add patch with changes from upstream git repository.
  * Change priority from extra to optional.
  * Change section from web to javascript.
  * Drop nodejs.patch, interpreter is /usr/bin/node again.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Nov 2017 15:49:05 +0100

node-mapnik (3.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 22:54:58 +0200

node-mapnik (3.6.2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required mapnik-vector-tile to 1.4.0.
  * Bump minimum required libprotozero-dev to 1.5.1.
  * Add libmapbox-wagyu-dev to build dependencies.
  * Bump minimum required libmapnik-dev version to 3.0.15.
  * Drop license & copyright for clipper, removed upstream.
  * Refresh patches.
  * Add patch to use system mapnik-config.
  * Add patch to use packaged dependencies instead of mason.
  * Skip test target, cannot be executed.
  * Update binding path.
  * Add patch to fix postinstall script for packaged dependencies.
  * Bump Standards-Version to 4.0.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 13:52:45 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Verbose output
export V=1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Disable SSE on non-amd64 architectures.
export SSE_MATH=true
ifeq (,$(findstring $(DEB_BUILD_ARCH),"amd64"))
	export SSE_MATH=false
endif

%:
	dh $@ --parallel --with nodejs

override_dh_auto_configure:
	node-pre-gyp configure --enable_sse=$(SSE_MATH)

override_dh_auto_build:
	node-pre-gyp build --enable_sse=$(SSE_MATH)

override_dh_auto_install:

override_dh_auto_test:

override_dh_install:
	dh_install --list-missing

	dh_buildinfo

	for i in bin/*.js; do \
		cp $$i $(CURDIR)/debian/node-mapnik/usr/bin/`basename $$i .js`; \
	done

	# Don't install binaries with the same name in mapnik-utils
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-index
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-render
	$(RM) $(CURDIR)/debian/*/usr/bin/mapnik-shapeindex

	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-mapnik.substvars \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node

=== debian/tests/control ===
Test-Command: node -e "require('mapnik');"
Depends: @

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|node-mapnik)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/node-mapnik-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/mapnik/node-mapnik/releases \
(?:.*?/)?(?:rel|v|node-mapnik)?[\-\_]?(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## node-mapnik 3.7.2+dfsg

=== debian/changelog ===
node-mapnik (3.7.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Rebuild with Mapnik 3.0.22.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jan 2019 20:44:08 +0100

node-mapnik (3.7.2+dfsg-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.

  [ Jérémy Lal ]
  * Build against libnode-dev
  * Tighten node-gyp >= 3.8.0-2
  * use dh 10 to simplify building

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 01:04:26 +0100

node-mapnik (3.7.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with mapnik-vector-tile 1.6.1+dfsg-6.
    (closes: #913708)
  * Add patch by Jérémy Lal to support nodejs 10 / nan 2.11.
    (closes: #911344)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Nov 2018 09:21:49 +0100

node-mapnik (3.7.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Oct 2018 19:21:48 +0200

node-mapnik (3.7.2+dfsg-2~exp1) experimental; urgency=medium

  * Team upload.
  * Rebuild with Mapnik 3.0.21.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Oct 2018 18:39:10 +0200

node-mapnik (3.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Apr 2018 19:28:58 +0200

node-mapnik (3.7.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.4, no changes.
  * Rebuild with Mapnik 3.0.20.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Apr 2018 13:32:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Jérémy Lal <kapouer@melix.org>
-Section: web
-Testsuite: autopkgtest
-Priority: extra
-Build-Depends: debhelper (>= 9~),
+Section: javascript
+Priority: optional
+Build-Depends: debhelper (>= 10~),
                dh-buildinfo,
-               libmapnik-dev (>= 3.0.12),
-               libprotozero-dev (>= 1.4.2),
+               libmapbox-wagyu-dev,
+               libmapnik-dev (>= 3.0.22),
+               libprotozero-dev (>= 1.5.1),
                mapnik-utils,
-               mapnik-vector-tile (>= 1.2.2),
-               node-gyp,
+               mapnik-vector-tile (>= 1.6.1+dfsg-6),
+               node-gyp (>= 3.8.0-2),
                node-mocha,
                node-nan (>= 2.4.0),
                node-pre-gyp,
-               nodejs-dev,
+               libnode-dev (>= 10~),
                node-sphericalmercator
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-mapnik.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-mapnik.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-mapnik
+Vcs-Git: https://salsa.debian.org/js-team/node-mapnik.git -b master-3.7
 Homepage: https://github.com/mapnik/node-mapnik
 
 Package: node-mapnik

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 endif
 
 %:
-	dh $@ --parallel --with nodejs
+	dh $@
 
 override_dh_auto_configure:
 	node-pre-gyp configure --enable_sse=$(SSE_MATH)
@@ -44,14 +44,3 @@
 
 	chmod 644 $(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node
 
-override_dh_shlibdeps:
-	dpkg-shlibdeps \
-		-T$(CURDIR)/debian/node-mapnik.substvars \
-		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node
-
-override_dh_strip:
-	strip \
-		--remove-section=.comment \
-		--remove-section=.note \
-		--strip-unneeded \
-		$(CURDIR)/debian/node-mapnik/usr/lib/nodejs/mapnik/lib/binding/mapnik.node
